package router

import (
	"gin-vue-admin/api/v1"
	"github.com/gin-gonic/gin"
)

func InitBaseRouter(Router *gin.RouterGroup) (R gin.IRoutes) {
	BaseRouter := Router.Group("base")
	{
		BaseRouter.POST("login", v1.Login)
		BaseRouter.GET("getTokenOwn", v1.GetTokenOwn)
		BaseRouter.POST("captcha", v1.Captcha)
		BaseRouter.POST("sendMsgForLogin", v1.SendMsgForLogin) // 用户注册账号
	}
	return BaseRouter
}
